#include <stdio.h>

#define BUFSIZE 50

int main() {
	char s[BUFSIZE];
	int i;

	fgets(s, BUFSIZE, stdin);
	printf("ECHO: %s\n", s);

	    /*
	     * hatte eine komplette Zeile im Puffer s
	     * Platz, dann befindet sich ein Newline am
	     * Ende des Strings
	     */
	for (i = 0; i < BUFSIZE; i++)
		    /*
		     * wir laufen also bis zum Null-Byte,
		     * das steht eine Pos. hinter dem letzten
		     * Zeichen des Strings ...
		     */
		if (s[i] == 0) {
			    /*
			     * ... und vergleichen dann das Zeichen
			     * vor dem Null-Byte, also das letzte
			     * Zeichen des Strings mit dem Newline ('\n')
			     *
			     * dann wissen wir, ob eine komplette Zeile
			     * gelesen wurde, oder der Puffer zu klein war
			     */
			if (s[i-1] == '\n')
				puts("komplette Zeile!");
			else
				puts("Puffer war zu klein");
			    /*
			     * nun wissen wir Bescheid und sind fertig
			     *
			     * mit dem Wissen aus der Vorlesung wuerden
			     * wir hier jetzt ein "break" statt dem "return 0"
			     * verwenden ... dann kann es nach dem
			     * for (...) ... noch weiter gehen ;-)
			     */
			return 0;
		}

	return 0;
}
