#include <stdio.h>

    /*
     * Beispiel fuer eine kleine eigene Funktion,
     * die einen Bool. Wert zurueck gibt, der mitteilt,
     * ob das uebergebene Zeichen ein Interpunktionszeichen ist
     */
int ispunct(char ch) {
	    /*
	     * sinnvolle Anwendung eines Fall Through's
	     * return in Funktion != main => zurueckspringen
	     * mit dem angegebenen Rueckgabewert
	     */
	switch (ch) {
		case '.':
		case ':':
		case ';':
		case ',':
		case '!':
		case '?':
			return 1;
		default:
			return 0;
	}
}

int main() {
	int ch = getchar();

	if (ch == EOF)
		puts("End of File");
	else if (ispunct(ch))
		puts("Interpunktion");
	else
		puts("was anderes");

	return 0;
}
